import request from '@/utils/request'
import {upFilse} from '@/utils/request'

// 查询会员
export function query(data,type) {
	return request({
		url: '/api/member/get/'+type,
		method: 'get',
		data
	});
}
// 申请
export function apply(data,type) {
	return request({
		url: '/api/member/apply/'+type,
		method: 'post',
		data
	});
}
// 会员价格
export function getPrice(data,type) {
	return request({
		url: '/api/member/config/'+type,
		method: 'get',
		data
	});
}

//上传图片
export function uploads(data) {
	return upFilse({
		url: '/api/upload/image',
		method: 'post',
		data
	});
}

// 
export function getIndex(data) {
	return request({
		url: '/api/index',
		method: 'get',
		data
	});
}
// 核销码列表
export function getTicket(data) {
	return request({
		url: '/api/ticket',
		method: 'get',
		data
	});
}
// 核销
export function check(data) {
	return request({
		url: '/api/check',
		method: 'post',
		data
	});
}


